package cokr.xit.ens.biz.traffic.cheonan.code;

import cokr.xit.ens.core.code.CodeMapperType;



/**
 * 주정차웹 전자고지 발송처리상태 코드
 */
public enum SndngProcessSttusCd implements CodeMapperType {

    accept("접수")
    , acptok("접수성공")
    , acptfail("접수실패")

    , ensmake("제작")
    , ensstart("전송시작") 
    , ensok("전송성공")  
    , ensfail("전송실패")
    , ensopen("열람중")     
    , ensclose("조회기간마감")  
    ;

    private final String code;     
    private final String codeNm;   
    SndngProcessSttusCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
